*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'IBM Plex Sans', sans-serif;
}



#loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #ebf4fa;
  z-index: 9999;
  transition: opacity 0.5s, visibility 0.5s;
}

.navbar {
    background :#193D60 ;
    /* margin: 0 10px; */
    border-radius: 40px;
    height: 80px;
    
    font-size: 1.2rem;
    position: relative;
    width: 100%;
    z-index: 999;
}

.navbar_container {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    height: 80px;
    z-index: 1;
    width: 100%;
    margin: 0 auto;
    padding: auto 100px;

}


.navbar_logo{
  flex: 1;
  display: flex;

}



.navbar_logo a {
    display: flex;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
    font-size: 2rem;
    font-weight: 800;
    margin: 10px;
    color: #e1f1fcfb;
  
  }

  .navbar_menu {
    flex: 1 ;
    display: flex;
    align-items: center;
    list-style: none;
    
  }

  /* .navbar_list{
    display: flex;
    flex-direction: row;
    list-style: none;
  } */

  .navbar_item {
    height: 80px;
    margin: 10px;
    flex:1;
  }
  
  .navbar_links {
    color: #e1f1fcfb;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 150px;
    text-decoration: none;
    height: 100%;
    transition: all 0.3s ease;
    position: relative;
    
  } 

  .navbar_links::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #e1f1fcfb;
    border-radius: 50px;
    opacity: 0;
    transform: scale(0.8);
    transition: all 0.3s ease;
    z-index: -1;
  }

  .navbar_btn {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 1rem;
    width: 100%;
  }

 

  .navbar_links:hover {
    color: #193D60;
    transition: all 0.3s ease;
  }

  .navbar_links:hover::before {
    opacity: 1;
    transform: scale(1);
  }

  .navbar_toggle {
    flex: 1;
    display: none; /* Hide by default */
    cursor: pointer;
    position: relative;
    z-index: 1000;
  }

  








  

  /* navbar mobile device adjustment */

  /* first break point for logo */
  @media  screen and (max-width: 1060px) {
    .navbar_logo a {
      font-size: 20px; /* Reduce font size for mobile */
      width: 300px;
      
    }

    .navbar_item a{
      font-size: 0.8rem;
    }
    
  }

@media screen and (max-width: 960px) {
    .navbar {
        background: #193D60;
        margin: 0;
        border-radius: 0;
        padding: 10px 0;
    }

    .navbar_container {
        flex-direction: row;
        justify-content: space-around;
        align-items: center;
        padding: 10px 20px;
    }

    .navbar_logo {
        margin-bottom: 10px;
    }

    .navbar_logo a {
        font-size: 20px;
        color: #e1f1fcfb;
        
    }

    .navbar_logo a img{
      width: 100px;
      height: 100px;
      
      
  }

    

  .navbar_menu {
    display: flex; /* Hide by default on mobile */
    flex-direction: column; /* Stack items vertically on mobile */
    width: 100%;
    position: absolute;
    top: -200%;
    left: 0; /* Hide offscreen by default */
    right: 0;
    opacity: 0;
    text-align: center;
    transition: all 0.5s ease;
    background: #193D60;
    z-index: 999;
  }

  .navbar_menu.active {
    transition: all 0.5s ease;
    opacity: 1;
    top: 80px;
  
  }

    .navbar_item {
      height: 40px;
      width: 100%;
      text-align: center;
      margin: 5px 0;
    }

    .navbar_links {
      display: inline-block;
      padding: 5px 0;
      width: 100%;
    }

    .navbar_toggle {
      flex: 1;
      display: block;
      bottom: 10px;

        
    }

    .navbar_toggle .bar {
      display: block;
      width: 25px;
      height: 3px;
      margin: 5px auto;
      background-color: #e1f1fcfb;
      transition: all 0.3s ease-in-out;
    }

      /* Cross effect when active */
    .navbar_toggle.active .bar:nth-child(1) {
      transform: translateY(8px) rotate(45deg);
    }

    .navbar_toggle.active .bar:nth-child(2) {
      opacity: 0;
    }

    .navbar_toggle.active .bar:nth-child(3) {
      transform: translateY(-8px) rotate(-45deg);
    }

    
}

@media screen and (max-width: 768px) {
    .navbar_logo a {
        font-size: 1.3rem;
    }
}

  /* Hero Section CSS */
  .hero {

    /* background-image: url('pic1.jpg') ; */
    display: flex;
    justify-content: center;
    background-size: cover; /* Adjusts the size of the background image to cover the entire element */
    background-position: center;
    height: 100vh;
    align-items: center;
    text-align: center;
    padding: 200px 0;
  }

  .bg-video{
    display: flex;
    justify-content: center;
    background-size: cover;
    background-position: center;
    position: absolute;
    z-index: -1;
    width: 100%;
    height: 250vh;
  }
  
  .hero__container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 30px;
    margin-top: 30px;
    height: 800px;
  }

  .hero__heading {
    font-size: 90px;
    margin-bottom: 24px;
    /* margin-right: 800px; */
    color: #e1f1fcfb; /*#e5f6f2;  Adjust the opacity of the text */
    text-align: center;

  }

  .hero__heading2{
    font-size: 30px;
    margin-bottom: 24px;
    color: #e1f1fcfb; /*#e5f6f2;  Adjust the opacity of the text */
    text-align: center;
  }
  
  
  
  .hero__description {
    font-size: 30px;
    /* margin-right: 500px; */
    margin-bottom: 5.4rem;
    color: #d5eeff; /* fallback for old browsers */
    text-align: center;
  }

  .main__btn {
    padding: 15px 30px;
    color: #193D60;
    background-color: #e1f1fcfb;
    border-radius: 50px;
    cursor: pointer;
    transition: all 0.3s ease;
    text-decoration: none;
    font-size: 1.2rem;
    font-weight: bold;
    border: 2px solid #193D60;
}

.main__btn:hover {
    background-color: #193D60;
    color: #e1f1fcfb;
}

.main__btn a {
    color: inherit;
    text-decoration: none;
}

  
  
  

  /* Adjustments for mobile devices */

  @media (max-width: 960px) {
  .hero {
    /* padding: 100px 0; Adjust padding for smaller screens */
    
    background-image: url('images/hero-bg.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    height: 100vh; /* full viewport height */
    display: flex;
    align-items: center; /* Center content vertically */
    justify-content: center;
    padding: 0 20px;
    margin-bottom: 30px;
  }

  .hero__container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 20px; /* Adjust padding for smaller screens */
    border-radius: 0; /* Remove border-radius for smaller screens */
    margin-top: 0; /* Remove top margin */
    position: relative;
    z-index: 2;
  }

  .hero::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.2);
    z-index: 1;
  }
  
  
  
  .hero__heading {
    color: white;
    font-size: 36px; /* Adjust font size for smaller screens */
    margin-bottom: 20px;
    margin-right: 0; 
  }

  .hero__heading2 {
    
    font-size: 16px; /* Adjust font size for smaller screens */
    margin-bottom: 30px; /* Adjust margin bottom for smaller screens */
  }

  
  .main__btn {
    /* width: 10px; */
    padding: 10px 30px;
    font-size: 1rem;
    margin-right: auto; /* Center button horizontally */
    margin-left: auto;
    margin-bottom: 20px; /* Adjust margin bottom for smaller screens */
  }
  .main__btn a{
    font-size: 20px;
  }
}

  
 
  

  /* Services Section */
.services {
    background:linear-gradient(to bottom,  #ebf4fa , #c8e1f3, #b3ddf9 );
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 100vh; /* Changed from height: 100% to min-height: 100vh */
    padding: 4rem 0; /* Increased padding */
  }
  
  .services h1 {
    color: #0f0709;
    margin-bottom: 5rem;
    font-size: 2.5rem;
  }
  
  .services__wrapper {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: 1fr;
  }

  .services__card {
    margin: 10px;
    height: 425px;
    width: 300px;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: #daeefbfb;
    
    background-size: cover;
    position: relative;
    transition: 0.3s ease-in;
  }

  .card-img{
    margin: 10px 95px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100px;
    height: 100px;
    padding: 5px;
    margin-bottom: 60px;
  }

  
  
  
  .services__card:nth-child(1) {
    
    color:#0f0709 ;
    /* margin: 10px;
    height: 425px;
    width: 300px;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: #fff; */
    background: #ebf4fa ;
    background-size: cover;
    position: relative;
    transition: 0.3s ease-in;
  }
  
  .services__card:nth-child(2) {
    /* background: #1fa2ff; fallback for old browsers */
    background:#2b1e3d ;
  }
  
  .services__card:nth-child(3) {
    background:#0b174e ;
  }

  .services__card:nth-child(4) {
    color:#0f0709 ;
    background: #99b0d6;
  }
  
  .services__card h2 {
    text-align: center;
  }
  
  .services__card p {
    text-align: center;
    
    font-size: 20px;
    margin: 24px;
  }
  
  .services__btn {
    display: flex;
    justify-content: center;
    margin-top: 16px;
  }
  
  .services__card button {
    color: #e1f1fcfb;
    padding: 14px 24px;
    border: none;
    outline: none;
    border-radius: 4px;
    background: #0f0709;
    font-size: 1rem;
  }
  
  .services__card button:hover {
    cursor: pointer;
  }
  
  .services__card:hover {
    transform: scale(1.075);
    transition: 0.3s ease-in;
    cursor: pointer;
  }

  @media (max-width: 960px) {
    .services {
      padding: 6rem 0; /* Adjust padding for smaller screens */
      min-height: auto; /* Allow content to determine height */

    }
    
    .services h1 {
      font-size: 1.5rem; /* Adjust font size for smaller screens */
      margin-bottom: 3rem; /* Adjust margin bottom for smaller screens */
    }
    
    .services__wrapper {
      grid-template-columns: 1fr; /* Change to a single column layout for smaller screens */
      gap: 3rem; /* Increase gap between cards */
  }
  
    .services__card {
      width: 90%; /* Adjust card width for smaller screens */
      margin: 0 auto; /* Center-align cards */
      height: auto; /* Allow card height to adjust based on content */
      max-width: 350px; /* Set a max-width for cards */
  }

    .services__card h2 {
      font-size: 1.2rem;
    }
  
    .card-img {
      margin: 10px auto; /* Center-align card images */
      width: 80px; /* Adjust image width for smaller screens */
      height: 80px; /* Adjust image height for smaller screens */
      margin-bottom: 20px; /* Adjust margin bottom for smaller screens */
    }
    
    .services__card h2,
    .services__card p {
      text-align: center; /* Center-align text */
    }
  
    .services__card p {
      font-size: 1rem; /* Adjust font size for smaller screens */
      margin: 1rem; /* Adjust margin for smaller screens */
    }
  
   
  }

  @media (max-width: 768px) {
    .services {
      padding: 4rem 0; /* Adjust padding for even smaller screens */
    }
  }




  /* New about section */
  
  /* About Us Page Styles */
.about-section {
  background: linear-gradient(to bottom, #ebf4fa, #d3e8f6);
  padding: 80px 0;
}

.about-container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 20px;
}

.about-heading {
  font-size: 3rem;
  color: #193D60;
  text-align: center;
  margin-bottom: 30px;
}

.about-description {
  font-size: 1.2rem;
  color: #0f0709;
  text-align: center;
  margin-bottom: 50px;
}

.about-content {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

.about-image {
  flex: 0 0 45%;
}

.about-image video {
  width: 100%;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0,0,0,0.1);
}

.about-text {
  flex: 0 0 50%;
}

.about-text h2 {
  font-size: 2rem;
  color: #193D60;
  margin-bottom: 20px;
}

.about-text ul {
  list-style-type: none;
  padding: 0;
}

.about-text li {
  margin-bottom: 15px;
  font-size: 1.1rem;
  color: #0f0709;
}

.about-text li strong {
  color: #193D60;
}

.dropdown-list {
  list-style-type: none;
  padding: 0;
}

.dropdown-item {
  margin-bottom: 15px;
}

.dropdown-toggle {
  width: 100%;
  text-align: left;
  background-color: #193D60;
  color: #fff;
  padding: 10px 15px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-size: 1.1rem;
  font-weight: bold;
  transition: background-color 0.3s ease;
}

.dropdown-toggle:hover {
  background-color: #2c5d8f;
}

.dropdown-toggle::after {
  content: '\25BC';
  float: right;
  transition: transform 0.3s ease;
}

.dropdown-content {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.5s ease, padding 0.5s ease;
  background-color: #f9f9f9;
  border-radius: 0 0 5px 5px;
}

.dropdown-item.active .dropdown-toggle::after {
  transform: rotate(180deg);
}

.dropdown-item.active .dropdown-content {
  max-height: none !important; /* Use a value larger than your content needs */
  padding: 15px;
  overflow: visible;
}


/* Responsive design for smaller screens */
@media screen and (max-width: 768px) {
  .about-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
  }
  .about-content {
      flex-direction: column;
  }

  .about-image, .about-text {
      flex: 0 0 100%;
  }

  .about-image {
      margin-bottom: 30px;
  }

  .about-heading {
      font-size: 24px;
  }
  .about-description {
    font-size: 16px;
  }

  .about-text h2 {
      font-size: 16px;
  }

  .dropdown-toggle {
    font-size: 1rem;
  }
  .dropdown-item.active .dropdown-content {
    max-height: none !important; /* Use a value larger than your content needs */
    padding: 15px;
    overflow: visible;
  }
}
  

/* New Team Section */

.team {
    
  background: linear-gradient(to bottom, #ebf4fa, #d3e8f6);
  display: flex;
  flex-direction: column;
  justify-content: center;
  color: #0f0709;
  
  
}

.team h1{
  font-size: 3rem;
  color: #193D60;
  text-align: center;
  margin:  80px;

}



.team-wrapper {
  flex: 1;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr ;
  grid-template-rows: 1fr 1fr;
  margin: 10px 150px;
}

.team-card {
  
  margin: 10px;
  height: 425px;
  width: 300px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  color: #0f0709;
  background-size: cover;
  position: relative;
  transition: 0.3s ease-in;
}

.card-img{
  display: flex;
  justify-content: center;
}

.card-image{
  border-radius: 50%;
  width:200px;

}



.team-card h2{
  display: flex;
  justify-content: center;
  margin: 5px auto;
  /* font-weight: 500; */
  color: #0b174e;
}

.team-card h3{
  display: flex;
  margin: 5px auto;
  justify-content: center;
  font-weight: 400;
  
}

.description{
  margin: 10px;
  
  display: flex;
  padding: 10px;
  flex-direction: column;
  justify-content: center;
}

@media screen and (max-width: 960px){
  .team h1{
    font-size: 24px;
    margin: 30px 0;
  }
  .team-wrapper {
    height: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr  ;
    grid-template-rows: 1fr 1fr 1fr;
    margin: 10px ;
  }

  .team-card {
  
    margin: 10px;
    height: 200px;
    width: 150px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: #0f0709;
    background-size: cover;
    position: relative;
    transition: 0.3s ease-in;
  }

  .card-image{
    border-radius: 50%;
    width:100px;
  
  }
  .team-card h2{
    font-size: 16px;
  }
  .team-card h3{
    font-size: 10px;
  }

}
  





  /* Footer Section */
  .footer__container{
     
    background:linear-gradient(to bottom,#b3ddf9,#a5d7f8 );
    /* padding: 5rem 0; */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

  }

  .footer__logo {
    color: #0f0709;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
    font-size: 2rem;
    
    
  }
  
  .footer__links {
    width: 100%;
    max-width: 1000px;
    display: flex;
    justify-content: space-evenly;
  }
  
  .footer__link--wrapper {
    display: flex;
    justify-content: space-evenly;
    gap: 60px;
  }
  
  .footer__link--items {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin: 50px;
    text-align: left;
    width: 160px;
    box-sizing: border-box;
  }
  
  .footer__link--items h2 {
    margin-bottom: 16px;
    color: #0f0709;
  }

  #email{
    text-decoration: underline;
  }

  #email:hover{
    cursor: text;
    color: #0f0709;

  }

  .gmail-icon{
    width: 20px;
    margin-right: 10px;

  }

  .logo-img{
    width: 150px;
    height: 150px;
    /* padding-right: 20px; */
  }

  
  .footer__link--items a {
    color: #0f0709;
    text-decoration: none;
    margin-bottom: 0.5rem;
    transition: 0.3 ease-out;
    display: flex;
    flex-direction: row;
  }
  
  .footer__link--items a:hover {
    color: #e1f1fcfb;
    transition: 0.3 ease-out;
  }
  
  .social__icon--link {
    color: #0f0709;
    font-size: 24px;
  }
  
  .social__media {
    max-width: 1000px;
    width: 100%;
  }
  
  .social__media--wrap {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 90%;
    max-width: 1000px;
    margin: 40px auto 0 auto;
  }
  
  .social__icons {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 240px;
  }
  
  .website__rights {
    font-size: 1.5rem;
    color: #0f0709;
  }

  @media screen and (max-width: 820px) {
    .footer__links {
      padding-top: 2rem;
    }
  
    #footer__logo {
      margin-bottom: 2rem;
    }
  
    .website__rights {
      margin-bottom: 2rem;
    }
  
    .footer__link--wrapper {
      flex-direction: column;
    }
  
    .social__media--wrap {
      flex-direction: column;
    }
  }





  